local ____exports = {}
--- A cached version of the class returned from the `Game()` constructor.
-- 
-- Use this instead of invoking the constructor again for a miniscule performance increase.
-- 
-- Caching the results of this constructor is safe, but caching other classes (like `Level` or
-- `Room`) is not safe and can lead to the game crashing in certain situations.
____exports.game = Game()
--- A cached version of the class returned from the `Isaac.GetItemConfig()` constructor.
-- 
-- Use this instead of invoking the constructor again for a miniscule performance increase.
-- 
-- Caching the results of this constructor is safe, but caching other classes (like `Level` or
-- `Room`) is not safe and can lead to the game crashing in certain situations.
____exports.itemConfig = Isaac.GetItemConfig()
--- A cached version of the class returned from the `MusicManager()` constructor.
-- 
-- Use this instead of invoking the constructor again for a miniscule performance increase.
-- 
-- Caching the results of this constructor is safe, but caching other classes (like `Level` or
-- `Room`) is not safe and can lead to the game crashing in certain situations.
____exports.musicManager = MusicManager()
--- A cached version of the class returned from the `SFXManager()` constructor.
-- 
-- Use this instead of invoking the constructor again for a miniscule performance increase.
-- 
-- Caching the results of this constructor is safe, but caching other classes (like `Level` or
-- `Room`) is not safe and can lead to the game crashing in certain situations.
____exports.sfxManager = SFXManager()
--- An object containing all 7 vanilla fonts that are pre-loaded and ready to use.
-- 
-- For more information on the vanilla fonts and to see what they look like, see:
-- https://wofsauge.github.io/IsaacDocs/rep/tutorials/Tutorial-Rendertext.html
____exports.fonts = {
    droid = Font(),
    pfTempestaSevenCondensed = Font(),
    teamMeatFont10 = Font(),
    teamMeatFont12 = Font(),
    teamMeatFont16Bold = Font(),
    terminus = Font(),
    upheaval = Font()
}
____exports.fonts.droid:Load("font/droid.fnt")
____exports.fonts.pfTempestaSevenCondensed:Load("font/pftempestasevencondensed.fnt")
____exports.fonts.teamMeatFont10:Load("font/teammeatfont10.fnt")
____exports.fonts.teamMeatFont12:Load("font/teammeatfont12.fnt")
____exports.fonts.teamMeatFont16Bold:Load("font/teammeatfont16bold.fnt")
____exports.fonts.terminus:Load("font/terminus.fnt")
____exports.fonts.upheaval:Load("font/upheaval.fnt")
return ____exports
